Bug 249068 - virt-manager doesn't set up IP forwarding for nat on dom0
virt-manager doesn't set up IP forwarding for nat on dom0
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.1
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks: 223107
  Show dependency treegraph
 
Reported: 2007-07-20 14:24 EDT by Chuck Morrison
Modified: 2007-11-16 20:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 16:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Morrison 2007-07-20 14:24:23 EDT
Description of problem:

selecting nat (virtual networking) when installing a fully virtualized domain
results in an impared network for the new domU. The ip forwarding is not set up
on dom0 to allow domU to get out of the guest network. 

Version-Release number of selected component (if applicable):

rhel5.1 prebeta

How reproducible:

It happens the first time you try to set up a fully virtualized domU. After it's
fixed (by hand: "echo 1 > /proc/sys/net/ipv4/ip_forward") it works fine.

I haven't seen this issue when installing para-virtual domains, but I was doing
direct networking on those.

Steps to Reproduce:
1. in virt-manager, create a new domU
2. select virtual networking for it's network
3. After you boot (good luck with that :) ping any outside server or try to ssh
anywhere outside of dom0.
  
Actual results:

pings result in long waits with no responses as do ssh attempts.

Expected results:

pings succeed, ssh succeeds.

Additional info: see above for fix.
Comment 1 Chuck Morrison 2007-07-24 17:04:53 EDT
A new Xen dom0 install and a reinstall of a fully virtualized domU on the same
machine and I find that this is set correctly. I'm not sure why this wasn't set
the first time.
Comment 2 Brian Stein 2007-08-08 16:08:22 EDT
Closing as NOTABUG w/o any reproducer.  Please reopen if this issue persists w/
add'l information.

Note You need to log in before you can comment on or make changes to this bug.